Bug 97667 - hyperpen driver doesn't work
hyperpen driver doesn't work
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://www.spinics.net/lists/xf-xpert...
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-18 18:54 EDT by Carlos Morgado
Modified: 2007-03-27 00:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 19:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Morgado 2003-06-18 18:54:18 EDT
The hyperpen xf86 driver doesn't work as is in RH8. I verified the soft link to
HyperPen_mod.so works. 

RH9 also has 'hyperpen_mod.so' but I didn't confirm the problem
Comment 1 Mike A. Harris 2004-04-14 19:38:13 EDT
/usr/X11R6/lib/modules/input/hyperpen_drv.o is the driver that
is shipped with Red Hat Linux, and it is the stock unpatched 
XFree86 hyperpen driver.  The driver source code is identical in
XFree86 4.2.x and 4.3.0 (it hasn't changed in ages).

I am unable to find any XFree86 supplied file named HyperPen_mod.so
in the files we ship, and am not quite sure about the soft link
you refer to.  Perhaps you are using some kind of 3rd party
driver?

My recommendation at this point however, is to upgrade to a currently
supported OS release, and if you have a problem with the hyperpen
driver supplied with the OS, with no 3rd party drivers being used,
please report the problem upstream at http://bugs.xfree86.org so
that the upstream driver owner is aware of the issue and can
investigate and/or fix the problem, as we do not have this hardware,
and supply this driver essentially as-is.  If the driver is just
completely broken and unuseable, please let me know so I can just
remove it rather than shipping something nobody can use anyway.

Closing bug as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.